module PowerSchool
    class Teachers

        def self.find( full_name )
            PowerSchool::Connection.go_to 'faculty/search.html'
            PowerSchool.browser.text_field(:id => "ss").set full_name
            PowerSchool.browser.button(:id => "btnSearch").click
            if PowerSchool.browser.frame(:id => "frameContent").exists?
                PowerSchool.browser.frame(:id => "frameContent").div(:id => "content-main").h1.text
            elsif PowerSchool.browser.div(:id => "selectHandpick").exists?
              true
            else
                false
            end
        end

        def self.import(file_path)
            PowerSchool::Connection.quick_import('Teachers', file_path)
        end

        def self.delete(full_name)
            find(full_name)
            PowerSchool.browser.frame(:id => "frameMenu").a(:text => "Security Settings").click 
            PowerSchool.browser.frame(:id => "frameContent").button(:id => "btnConfirmDeleteProxy").click 
            PowerSchool.browser.frame(:id => "frameContent").a(:id => "btnDelete").click 
        end
    end
end
