require "power_school/version"
require "power_school/configuration"
require "power_school/connection"
require "power_school/teachers"
require "power_school/students"
require "watir"

require 'nokogiri'
require 'open-uri'

module PowerSchool
    extend Configuration
    
  def self.table_to_a( html, css )
      resArray = Nokogiri::HTML(html).css(css).to_a
      resArray = resArray.map {|row| row.css("td").map {|c| c.text}.to_a }
      resArray.shift
      resArray
  end

end
